import { Processor, Transformer } from "unified";
import { Node } from "unist";
import { NormalizedOptions } from "./options";
/**
 * A Rehype plugin that adds a property to all Markdown elements
 */
export declare function annotateMarkdownNodes(this: Processor, options: NormalizedOptions): Transformer;
/**
 * A Rehype HTML node
 */
export interface HtmlNode<T extends string = string, TChild extends Node = Node> extends Node {
    type: "element";
    tagName: T;
    properties: {
        title?: string;
        className?: string[];
        download?: boolean;
        href?: string;
        [key: string]: unknown;
    };
    children: TChild[];
}
