"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.annotateMarkdownNodes = void 0;
/**
 * A Rehype plugin that adds a property to all Markdown elements
 */
function annotateMarkdownNodes(options) {
    return (root) => {
        crawl(root, options);
        return root;
    };
}
exports.annotateMarkdownNodes = annotateMarkdownNodes;
/**
 * Recursively annotates child nodes
 */
function crawl(tree, options) {
    for (const node of tree.children) {
        if (node.type === "element") {
            const htmlNode = node;
            htmlNode.properties = htmlNode.properties || {};
            htmlNode.properties[options.markdownPropName] = options.markdownPropValue;
        }
        if (node.children) {
            crawl(node, options);
        }
    }
}
//# sourceMappingURL=annotate-markdown-nodes.js.map